Subject: directx example - problem
From: [email-masked] (Matthew Bennett)

8 Dec 1997 16:25:41 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "gnu-win32" <[email-masked]>

Hi

I'm using mingw32, and I'm having some problems with the directx example
from:
http://dragon.acadiau.ca/~025668b/develop/directx/

It compiles without any errors and the program runs fine until it comes to
create the surface.  The "faulty" line is:

ddrval = lpDD->lpVtbl->CreateSurface(lpDD, &ddsd, &lpDDSPrimary, NULL );

ddrval is returned as *not* DD_OK and so the program stops.  Looking over
the program, I can't find any obvious mistakes... so what is causing this?

Thanks a lot for any help - I really want to get directx going! :)

Matt

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".